---

gitlab_runner_version: 15.6.1
gitlab_runner_uri: https://packages.gitlab.com/runner/gitlab-runner

gitlab_runner_debian_package:
  key: "{{ gitlab_runner_uri }}/gpgkey"
  package: "{{ gitlab_runner_uri }}/packages/{{ ansible_distribution | lower }}/{{ ansible_distribution_release | lower }}\
    /gitlab-ci-multi-runner_{{ gitlab_runner_version }}_amd64.deb"
  repos:
    - "deb {{ gitlab_runner_uri }}/{{ ansible_distribution | lower }}/ {{ ansible_distribution_release | lower }} main"
    - "deb-src {{ gitlab_runner_uri }}/{{ ansible_distribution | lower }}/ {{ ansible_distribution_release | lower }} main"

gitlab_runner_packages:
  - curl
  - gnupg
  - apt-transport-https

############### Gitlab-runner configuration ################

gitlab_runner_config_url: https://gitlab.com/
# runner registration token needs to be added, if not present, gitlab-runner will not be registered.
gitlab_runner_registration_token: ""
# executor can be: ssh, docker+machine, docker-ssh+machine, kubernetes, docker, parallels, virtualbox, docker-ssh, shell
gitlab_runner_config_executor:
  - shell
  - docker
# default docker-image, needs if executor is docker
gitlab_runner_config_docker_image: "alpine:latest"
# Needs only for tagging runner in gitlab
gitlab_runner_working_stage: dev
gitlab_runner_base_name: "{{ ansible_fqdn }}"
# By default there are a few tags already present, depending on "gitlab_runner_config_executor"
gitlab_runner_tags:
  - "{{ gitlab_runner_working_stage }}"

gitlab_runner_is_locked: true
gitlab_runner_run_untagged: false
gitlab_runner_concurrency: "{{ ansible_processor_vcpus }}"
